[arch-commits] Commit in (4 files)

andyrtr at archlinux.org andyrtr at archlinux.org
Wed Jan 13 14:18:26 EST 2010


    Date: Wednesday, January 13, 2010 @ 14:18:25
  Author: andyrtr
Revision: 62911

add libchamplain for claws-mail-extra-plugin geolocation_plugin

Added:
  libchamplain/
  libchamplain/repos/
  libchamplain/trunk/
  libchamplain/trunk/PKGBUILD

----------+
 PKGBUILD |   19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

Added: libchamplain/trunk/PKGBUILD
===================================================================
--- libchamplain/trunk/PKGBUILD	                        (rev 0)
+++ libchamplain/trunk/PKGBUILD	2010-01-13 19:18:25 UTC (rev 62911)
@@ -0,0 +1,19 @@
+# Contributor: Michael Kanis <mkanis at gmx.de>
+pkgname=libchamplain
+pkgver=0.4.2
+pkgrel=1
+pkgdesc="C library aimed to provide a Gtk+ widget to display rasterized maps"
+url="http://projects.gnome.org/libchamplain/"
+license=('LGPL')
+arch=('i686' 'x86_64')
+replaces=('libchamplain-gtk')
+depends=('clutter-gtk>=0.10.0' 'libsoup' 'cairo>=1.4' 'sqlite3')
+source=(http://ftp.gnome.org/pub/GNOME/sources/$pkgname/0.4/${pkgname}-${pkgver}.tar.bz2)
+sha256sums=('2b1f8fc49e306a3a6da3ef3fea8630c76cecdffbfa53c251e7e15af8f4b8d77f')
+
+build() {
+	cd $startdir/src/$pkgname-$pkgver
+	./configure --prefix=/usr --disable-introspection || return 1
+	make || return 1
+	make DESTDIR=$startdir/pkg install
+} 


Property changes on: libchamplain/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
   + Id



More information about the arch-commits mailing list